Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.structure
Class RenderPhaseEvent

    java.lang.Object
      org.apache.tapestry5.internal.services.EventImpl
          org.apache.tapestry5.internal.structure.RenderPhaseEvent

All Implemented Interfaces:
  Event

    public class RenderPhaseEvent

extends EventImpl

Field Summary

Fields inherited from class org.apache.tapestry5.internal.services.EventImpl
`tracker`

Constructor Summary
`RenderPhaseEvent(org.apache.tapestry5.internal.structure.RenderPhaseEventHandler handler, org.slf4j.Logger logger, OperationTracker tracker)`

Method Summary
`void` | `enqueueSavedRenderCommands()` Delegates to `RenderPhaseEventHandler.enqueueSavedRenderCommands()`, to queue up any render commands returned from invoked event handler methods.
`boolean` | `getResult()`

Methods inherited from class org.apache.tapestry5.internal.services.EventImpl
`getMethodDescription, isAborted, setMethodDescription, storeResult`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderPhaseEvent

    public RenderPhaseEvent(org.apache.tapestry5.internal.structure.RenderPhaseEventHandler handler,
                            org.slf4j.Logger logger,
                            OperationTracker tracker)

Method Detail

### enqueueSavedRenderCommands

    public void enqueueSavedRenderCommands()

  Delegates to `RenderPhaseEventHandler.enqueueSavedRenderCommands()`, to queue up any render commands returned from invoked event handler methods.

### getResult

    public boolean getResult()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.